Subject: [bug#73210] [PATCH] gnu: smalltalk: Fix tests.

From: Greg Hogan <[email-masked]>
Date: Fri, 13 Sep 2024 08:18:29 -0400

On Fri, Sep 13, 2024 at 5:59 AM Guillaume Le Vaillant <[email-masked]> wrote:
>
> Hi.
> I tried your patch, but some tests are still failing for me.
> More specifically, the "ANSI compliancy tests" are all failing with the
> same error:
>
> [...]
>
> Does the build work for you every time?
> What architecture are you using? I'm on x86-64 Guix system.

I have built the package two more times without errors (though the
output is non-deterministic). The only error I have seen was the I18N
test failure before adding this locales patch.

My system is x86-64 on a foreign distro.